%global packname expm
%global packver 0.999
%global packrel 2

Name:             R-%{packname}
Version:          %{packver}.%{packrel}
Release:          5%{?dist}
Source0:          ftp://cran.r-project.org/pub/R/contrib/main/%{packname}_%{packver}-%{packrel}.tar.gz
License:          GPLv2+
URL:              http://cran.r-project.org/web/packages/expm
Group:            Applications/Engineering
Summary:          Computation of the matrix exponential and related quantities
BuildRequires:    R-devel >= 3.4.0, tetex-latex, R-Matrix R-methods
Requires:         R-core >= 3.4.0, R-Matrix, R-methods

%description 
Efficient calculation of the exponential of a matrix. The package 
contains an R interface and a C API that package authors can use.

%prep
%setup -q -c -n %{packname}

%build

%install
# Specific installation procedure for R
mkdir -p $RPM_BUILD_ROOT%{_libdir}/R/library
%{_bindir}/R CMD INSTALL -l $RPM_BUILD_ROOT%{_libdir}/R/library %{packname}

%check
# Needs unpackaged 'RColorBrewer' 'sfsmisc'
# %%{_bindir}/R CMD check %%{packname}

%files
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/data
%doc %{_libdir}/R/library/%{packname}/doc
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/demo/
%{_libdir}/R/library/%{packname}/help
%dir %{_libdir}/R/library/%{packname}/po
%lang(en) %{_libdir}/R/library/%{packname}/po/en*/
%lang(fr) %{_libdir}/R/library/%{packname}/po/fr/
%{_libdir}/R/library/%{packname}/libs/%{packname}.so
%{_libdir}/R/library/%{packname}/test-tools.R

%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.999.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Feb  2 2018 Tom Callaway <spot@fedoraproject.org> - 0.999.2-4
- rebuild for new libgfortran

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.999.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.999.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue May 30 2017 Tom Callaway <spot@fedoraproject.org> - 0.999.2-1
- update to 0.999-2

* Tue Feb 14 2017 Tom Callaway <spot@fedoraproject.org> - 0.999.1-1
- update to 0.999-1

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.99.1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.99.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.99.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.99.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.99.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May  8 2014 Tom Callaway <spot@fedoraproject.org> - 0.99.1.1-1
- initial package
